<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:dk="kelis.fr:dokiel"
    xmlns:hdoc="http://www.utc.fr/ics/hdoc/xhtml"
    exclude-result-prefixes="xs" version="2.0">
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="hdoc:html">
        <xsl:element name="sc:item">
            <xsl:element name="dk:guidePRoot">


                <xsl:apply-templates select="hdoc:head" mode="GuideSpecial"/>
                <xsl:element name="sp:guide">
                    <!--BALISE A METTRE ?! -->
                    <xsl:attribute name="sc:refUri">
                        <!--QUE METTRE ?, générique ? -->
                        <xsl:text>/Fragments/GuideUtilisateur.scen</xsl:text>
                    </xsl:attribute>
                    <xsl:element name="sc:item">
                        <xsl:apply-templates select="hdoc:head"/>
                        <xsl:apply-templates select="hdoc:body"/>
                    </xsl:element>
                </xsl:element>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="hdoc:head" mode="GuideSpecial">
        <xsl:element name="dk:guidePRootM">
            <xsl:element name="sp:longTitle">
                <xsl:element name="dk:textSimple">
                    <xsl:element name="sc:para">
                        <xsl:attribute name="xml:space">preserve</xsl:attribute>
                        <xsl:attribute name="sc:id">t2</xsl:attribute>
                        <xsl:value-of select="hdoc:title"/>
                    </xsl:element>
                </xsl:element>

                <xsl:element name="sp:info">
                    <xsl:element name="dk:rootM">
                        <xsl:element name="sp:copyright">
                            <xsl:value-of select="hdoc:meta[@name='author']/@content"/>
                        </xsl:element>
                    </xsl:element>
                </xsl:element>
            </xsl:element>
        </xsl:element>
    </xsl:template>


    <xsl:template match="hdoc:head">
        <xsl:element name="dk:userGuide">
            <xsl:element name="dk:headTitle">
                <xsl:element name="sp:sTitle">
                    <xsl:value-of select="hdoc:title"/>
                </xsl:element>
            </xsl:element>
        </xsl:element>
    </xsl:template>
    <xsl:template match="hdoc:body">
        <xsl:apply-templates select="section[@data_hdoc_type='introduction']"/>
    </xsl:template>
</xsl:stylesheet>
