<?php
	/* This file will receive two POST arrays.
	   - A $_POST["files"] array, filled with filenames. Those files are already uploaded and the script will look for them
	   in the uploads dir.
	   - And A $_POST["target"] array, filled with format name. For each valid file and each given format, a "ConvertFile" function is called.
	   This function will look for an ANT script resolving the problem. If there is no such script as looked for, no conversion can be achieved.
	   
	*/
	Define("__OUTPUT_DIR","../uploads/");
	Define("__CONVERT_DIR","../ant/output/");
	Define("__SCRIPT_DIR","../ant/");
	Define("__CONVERT_DIR_FOR_ANT","../output/");

	function convertFile($file, $target) // Convert the given file into the given format.
	{	
		$pathinfo = pathinfo(__OUTPUT_DIR.$file);
		$conversion_name = $pathinfo["extension"]."_to_".$target;
		$scriptname = __SCRIPT_DIR.$conversion_name."/".$conversion_name.".ant";		
		
		if(!file_exists($scriptname))
		{
			/* default script for testing (it just changes the file extension) (toggle by removing or adding a "/" at the beginning of the line).
			$scriptname = __SCRIPT_DIR."default/template.xml";
			if(!file_exists($scriptname))
				return array("success" => false, "error" => "Testing script not found.");
			
			/*/// reporting conversion faillure 		
			return array("success" => false, "error" => "No adequate script on server. (".$conversion_name.")");
			
			/**/
		}
		
		$newfile = $pathinfo["filename"].".".$target;
		
		$return_code = 0;
		$return_message = array();
		exec( "ant -buildfile ".$scriptname." -DInputPath=\"../".__OUTPUT_DIR.$file."\" -DOutputPath=\"".__CONVERT_DIR_FOR_ANT.$newfile."\" -v convert", $return_message, $return_code);
		
		if($return_code != 0)
		{
			$err = "Ant returned ".$return_code." : ";
			for( $i=0; $i < count($return_message); $i++)
			{
				$err=$err."<br/>";
				if(substr($return_message[$i],-1) == ":")
					$err=$err."<b>".$return_message[$i]."</b>";
				else
					$err=$err.$return_message[$i];
			}
			return array("success" => false, "error" => $err);
		}
								
		if(file_exists(__CONVERT_DIR.$newfile)) // If all worked well, there should be the script's result.
		{
			rename(__CONVERT_DIR.$newfile,__OUTPUT_DIR.$newfile);
			return array("success" => true, "file" => $newfile);
		}
		else
		{
			return array("success" => false, "error" => "The script seems to run but doesn't produce the expected file. (No file has been found).");
		}
	}

	if(isset($_POST))
	{
		$results = array();
		$refused = array();
		foreach($_POST["files"] as $file) // For each file
		{
			if(file_exists(__OUTPUT_DIR.$file)) // Checks if the given file actually exist.
			{
				foreach($_POST["targets"] as $target) // It calls each convert script :
				{
					$convert_result = convertFile($file,$target);
					if($convert_result["success"]) // If the conversion worked
					{
						array_push( $results, $convert_result["file"] ); // The created file name is added to the "result" list.
					}
					else
					{
						if(isset($convert_result["error"]))
							array_push( $refused, $file." : ".$convert_result["error"]);
						else
							array_push( $refused, "Erreur inconnue.");
					}
				}
			}
			else
			{
				array_push( $refused, $file." : Fichier absent."); // Allow to report to the user which files have not been found.
			}
		}
		
		echo json_encode(array("success" => true, "results" => $results, "refused" => $refused));
	}
	else
	{
		echo json_encode(array("success" => false, "error" => "Requete vide."));
	}

?>